expat 2.1.0-7ubuntu0.15.10.1 source package in Ubuntu

Changelog

expat (2.1.0-7ubuntu0.15.10.1) wily-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    malformed documents
    - debian/patches/CVE-2016-0718.patch: fix out of bounds memory access
      and integer overflow in lib/xmlparse.c, lib/xmltok.c, lib/xmltok.h,
      lib/xmltok_impl.c.
    - CVE-2016-0718
  * SECURITY UPDATE: integer overflows in XML_GetBuffer
    - debian/patches/CVE-2015-1283-refix.patch: improved existing fix in
      lib/xmlparse.c.
    - CVE-2015-1283

 -- Marc Deslauriers <email address hidden>  Mon, 16 May 2016 12:47:07 -0400

Upload details

Uploaded by:
Marc Deslauriers on 2016-05-16
Uploaded to:
Wily
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
text
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
expat_2.1.0.orig.tar.gz 549.4 KiB 823705472f816df21c8f6aa026dd162b280806838bb55b3432b0fb1fcca7eb86
expat_2.1.0-7ubuntu0.15.10.1.debian.tar.xz 19.3 KiB b8e66879f4c745d4521f89ad9db618509dc623c1787cdef7b65756714bb736c8
expat_2.1.0-7ubuntu0.15.10.1.dsc 2.3 KiB 1488f26de18af76339be346fb41b9092e1100366b0425e85c3779da6bb3938d7

View changes file

Binary packages built by this source

expat: No summary available for expat in ubuntu wily.

No description available for expat in ubuntu wily.

expat-dbgsym: No summary available for expat-dbgsym in ubuntu wily.

No description available for expat-dbgsym in ubuntu wily.

lib64expat1: No summary available for lib64expat1 in ubuntu wily.

No description available for lib64expat1 in ubuntu wily.

lib64expat1-dbgsym: No summary available for lib64expat1-dbgsym in ubuntu wily.

No description available for lib64expat1-dbgsym in ubuntu wily.

lib64expat1-dev: No summary available for lib64expat1-dev in ubuntu wily.

No description available for lib64expat1-dev in ubuntu wily.

libexpat1: No summary available for libexpat1 in ubuntu wily.

No description available for libexpat1 in ubuntu wily.

libexpat1-dbgsym: No summary available for libexpat1-dbgsym in ubuntu wily.

No description available for libexpat1-dbgsym in ubuntu wily.

libexpat1-dev: No summary available for libexpat1-dev in ubuntu wily.

No description available for libexpat1-dev in ubuntu wily.

libexpat1-udeb: No summary available for libexpat1-udeb in ubuntu wily.

No description available for libexpat1-udeb in ubuntu wily.

libexpat1-udeb-dbgsym: No summary available for libexpat1-udeb-dbgsym in ubuntu wily.

No description available for libexpat1-udeb-dbgsym in ubuntu wily.